summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2022-01-12 19:57:01 +0100
committer Willy Sudiarto Raharjo2022-01-17 03:03:30 +0100
commitb28e1cb1d163bdd6aa00a5113850321d6d980886 (patch)
tree56c14514a131005499a7b9a7b3bc61403e482ecf
parent5e97992f28cea88d1052357f07ad8ceb03195ac4 (diff)
downloadslackbuilds-b28e1cb1d163bdd6aa00a5113850321d6d980886.tar.gz
graphics/cam: Added (display images in a terminal).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--graphics/cam/README5
-rw-r--r--graphics/cam/cam.SlackBuild86
-rw-r--r--graphics/cam/cam.info10
-rw-r--r--graphics/cam/git2tarxz.sh44
-rw-r--r--graphics/cam/slack-desc19
5 files changed, 164 insertions, 0 deletions
diff --git a/graphics/cam/README b/graphics/cam/README
new file mode 100644
index 0000000000..0982a5f7bc
--- /dev/null
+++ b/graphics/cam/README
@@ -0,0 +1,5 @@
+cam (display images in a terminal)
+
+The cam utility outputs an image file to stdout, using ANSI escape
+codes. 256 color mode is supported, but only solid blocks are used
+as pixels.
diff --git a/graphics/cam/cam.SlackBuild b/graphics/cam/cam.SlackBuild
new file mode 100644
index 0000000000..3dddc841c5
--- /dev/null
+++ b/graphics/cam/cam.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/bash
+
+# Slackware build script for cam
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=cam
+VERSION=${VERSION:-20141220_8b81199}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+autoreconf -if
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+gzip -9 $PKG/usr/man/man*/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE* README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/cam/cam.info b/graphics/cam/cam.info
new file mode 100644
index 0000000000..8a11c9a5b5
--- /dev/null
+++ b/graphics/cam/cam.info
@@ -0,0 +1,10 @@
+PRGNAM="cam"
+VERSION="20141220_8b81199"
+HOMEPAGE="https://github.com/itchyny/cam"
+DOWNLOAD="https://slackware.uk/~urchlay/src/cam-20141220_8b81199.tar.xz"
+MD5SUM="8d8fce49c6a56bc4e79fb2d3fb0f3749"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/graphics/cam/git2tarxz.sh b/graphics/cam/git2tarxz.sh
new file mode 100644
index 0000000000..e2dad79e83
--- /dev/null
+++ b/graphics/cam/git2tarxz.sh
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# Create source tarball from git repo, with generated version
+# number.
+
+# Note that this script doesn't need to be run as root. It does
+# need to be able to write to the current directory it's run from.
+
+# Takes one optional argument, which is the commit or tag to create
+# a tarball of. With no arg, HEAD is used.
+
+PRGNAM=cam
+CLONE_URL=https://github.com/itchyny/cam
+
+set -e
+
+GITDIR=$( mktemp -dt $PRGNAM.git.XXXXXX )
+rm -rf $GITDIR
+git clone $CLONE_URL $GITDIR
+
+CWD="$( pwd )"
+cd $GITDIR
+
+if [ "$1" != "" ]; then
+ git reset --hard "$1" || exit 1
+fi
+
+GIT_SHA=$( git rev-parse --short HEAD )
+
+DATE=$( git log --date=format:%Y%m%d --format=%cd | head -1 )
+
+VERSION=${DATE}_${GIT_SHA}
+
+rm -rf .git
+find . -name .gitignore -print0 | xargs -0 rm -f
+
+cd "$CWD"
+rm -rf $PRGNAM-$VERSION $PRGNAM-$VERSION.tar.xz
+mv $GITDIR $PRGNAM-$VERSION
+tar cvfJ $PRGNAM-$VERSION.tar.xz $PRGNAM-$VERSION
+
+echo
+echo "Created tarball: $PRGNAM-$VERSION.tar.xz"
+echo "VERSION=$VERSION"
diff --git a/graphics/cam/slack-desc b/graphics/cam/slack-desc
new file mode 100644
index 0000000000..2ae632ef3a
--- /dev/null
+++ b/graphics/cam/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cam: cam (display images in a terminal)
+cam:
+cam: The cam utility outputs an image file to stdout, using ANSI escape
+cam: codes. 256 color mode is supported, but only solid blocks are used
+cam: as pixels.
+cam:
+cam:
+cam:
+cam:
+cam:
+cam: